Upstream information

CVE-2015-5186 at MITRE

Description

Audit before 2.4.4 in Linux does not sanitize escape characters in filenames.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 5
Vector AV:N/AC:L/Au:N/C:N/I:P/A:N
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact None
Integrity Impact Partial
Availability Impact None
SUSE Bugzilla entry: 941922 [RESOLVED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
Container suse/sles12sp4:latest
Container suse/sles12sp5:latest
  • libaudit1 >= 2.8.1-10.3.2
SUSE Linux Enterprise Desktop 12 SP3
  • audit >= 2.8.1-8.3.3
  • audit-secondary >= 2.8.1-8.3.3
  • libaudit1 >= 2.8.1-8.3.1
  • libaudit1-32bit >= 2.8.1-8.3.1
  • libauparse0 >= 2.8.1-8.3.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP3-2019-1166
SUSE Linux Enterprise Desktop 12 SP4
  • audit >= 2.8.1-10.3.2
  • audit-secondary >= 2.8.1-10.3.2
  • libaudit1 >= 2.8.1-10.3.2
  • libaudit1-32bit >= 2.8.1-10.3.2
  • libauparse0 >= 2.8.1-10.3.2
Patchnames:
SUSE-SLE-DESKTOP-12-SP4-2019-563
SUSE Linux Enterprise High Performance Computing 12 SP5
SUSE Linux Enterprise Server 12 SP5
  • libaudit1 >= 2.8.1-10.3.2
  • libaudit1-32bit >= 2.8.1-10.3.2
  • libauparse0 >= 2.8.1-10.3.2
SUSE Linux Enterprise Module for Basesystem 15 SP2
  • audit-devel >= 2.8.1-10.7
  • libaudit1 >= 2.8.1-10.7
  • libaudit1-32bit >= 2.8.1-10.7
  • libauparse0 >= 2.8.1-10.7
SUSE Linux Enterprise Module for Basesystem 15
SUSE Linux Enterprise Module for Basesystem 15 SP1
  • audit-devel >= 2.8.1-3.30
  • libaudit1 >= 2.8.1-3.30
  • libaudit1-32bit >= 2.8.1-3.30
  • libauparse0 >= 2.8.1-3.30
SUSE Linux Enterprise Server 12 SP3
SUSE Linux Enterprise Server for SAP Applications 12 SP3
  • audit >= 2.8.1-8.3.3
  • audit-audispd-plugins >= 2.8.1-8.3.3
  • audit-secondary >= 2.8.1-8.3.3
  • libaudit1 >= 2.8.1-8.3.1
  • libaudit1-32bit >= 2.8.1-8.3.1
  • libauparse0 >= 2.8.1-8.3.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-2019-1166
SUSE Linux Enterprise Server 12 SP4
SUSE Linux Enterprise Server for SAP Applications 12 SP4
  • audit >= 2.8.1-10.3.2
  • audit-audispd-plugins >= 2.8.1-10.3.2
  • audit-secondary >= 2.8.1-10.3.2
  • libaudit1 >= 2.8.1-10.3.2
  • libaudit1-32bit >= 2.8.1-10.3.2
  • libauparse0 >= 2.8.1-10.3.2
  • python2-audit >= 2.8.1-10.3.2
  • python3-audit >= 2.8.1-10.3.2
Patchnames:
SUSE-SLE-SERVER-12-SP4-2019-563
SUSE Linux Enterprise Software Development Kit 12 SP3
  • audit >= 2.8.1-8.3.1
  • audit-devel >= 2.8.1-8.3.1
Patchnames:
SUSE-SLE-SDK-12-SP3-2019-1166
SUSE Linux Enterprise Software Development Kit 12 SP4
  • audit >= 2.8.1-10.3.2
  • audit-devel >= 2.8.1-10.3.2
Patchnames:
SUSE-SLE-SDK-12-SP4-2019-563
SUSE Linux Enterprise Software Development Kit 12 SP5
  • audit-devel >= 2.8.1-10.3.2
openSUSE Leap 15.0
  • libaudit1 >= 2.8.1-lp150.3.17
  • libaudit1-32bit >= 2.8.1-lp150.3.17
  • libauparse0 >= 2.8.1-lp150.3.17
Patchnames:
openSUSE Leap 15.0 GA libaudit1
openSUSE Tumbleweed
  • audit-devel >= 2.5-1.82
  • audit-devel-32bit >= 2.5-1.82
  • libaudit1 >= 2.5-1.82
  • libaudit1-32bit >= 2.5-1.82
  • libauparse0 >= 2.5-1.82
  • libauparse0-32bit >= 2.5-1.82
Patchnames:
openSUSE Tumbleweed GA audit-devel


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Desktop 11 SP3 audit Not affected
SUSE Linux Enterprise Desktop 11 SP4 audit Not affected
SUSE Linux Enterprise Desktop 12 audit Not affected
SUSE Linux Enterprise Desktop 12 SP3 audit Released
SUSE Linux Enterprise Server 11 SP3 audit Not affected
SUSE Linux Enterprise Server 11 SP3 for VMware audit Not affected
SUSE Linux Enterprise Server 11 SP4 audit Not affected
SUSE Linux Enterprise Server 12 audit Not affected
SUSE Linux Enterprise Server 12 SP3 audit Released
SUSE Linux Enterprise Software Development Kit 11 SP3 audit Not affected
SUSE Linux Enterprise Software Development Kit 11 SP4 audit Not affected
SUSE Linux Enterprise Software Development Kit 12 audit Not affected
SUSE Linux Enterprise Software Development Kit 12 SP3 audit Released